Record a visit progress note
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"general_note": "<string>",
"subjective": "<string>",
"objective": "<string>",
"assessment": "<string>",
"plan": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
general_note: '<string>',
subjective: '<string>',
objective: '<string>',
assessment: '<string>',
plan: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes"
payload = {
"general_note": "<string>",
"subjective": "<string>",
"objective": "<string>",
"assessment": "<string>",
"plan": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Staff clinical workspace
Record a visit progress note
POST
/
outpatient-visits
/
{outpatientVisit}
/
progress-notes
Record a visit progress note
curl --request POST \
--url https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"general_note": "<string>",
"subjective": "<string>",
"objective": "<string>",
"assessment": "<string>",
"plan": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
general_note: '<string>',
subjective: '<string>',
objective: '<string>',
assessment: '<string>',
plan: '<string>'
})
};
fetch('https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://jaliprohmis.derrickmugabwa.dev/api/v1/outpatient-visits/{outpatientVisit}/progress-notes"
payload = {
"general_note": "<string>",
"subjective": "<string>",
"objective": "<string>",
"assessment": "<string>",
"plan": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"data": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Available options:
general, soap, review, procedure, discharge_planning Maximum string length:
5000Maximum string length:
3000Maximum string length:
3000Maximum string length:
3000Maximum string length:
3000Response
Resource returned.